package org.gcube.gcat.moderation;

import org.gcube.gcat.ContextTest;
import org.gcube.gcat.api.moderation.CMItemStatus;
import org.gcube.gcat.moderation.thread.ModerationThread;
import org.gcube.gcat.persistence.ckan.CKANUser;
import org.junit.Ignore;
import org.junit.Test;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class ModerationThreadTest extends ContextTest {

	@Test
	@Ignore
	public void test() throws Exception {
		ModerationThread moderationThread = ModerationThread.getDefaultInstance();
		moderationThread.setItemCoordinates("e31a6ba8-66ef-47b8-b61f-99a1366b4a69", "my_first_restful_transaction_model", "RESTful Transaction Model", "https://data.dev.d4science.org/ctlg/devVRE/my_first_restful_transaction_model");
		CKANUser ckanUser = new CKANUser();
		ckanUser.setName(CKANUser.getCKANUsername());
		ckanUser.read();
		moderationThread.setCKANUser(ckanUser);
		moderationThread.postItemCreated();
		moderationThread.postItemUpdated();
		moderationThread.postItemRejected(null);
		moderationThread.postItemRejected("reject con messaggio: Non mi garba");
		moderationThread.postItemApproved(null);
		moderationThread.postItemApproved("approve con messaggio: Ora mi garba");
		moderationThread.setItemAuthor(true);
		moderationThread.postUserMessage(CMItemStatus.APPROVED, "Grazie");
		Thread.sleep(1000);
	}
	
}
